Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 389943 - Migrate games-misc/fortune-mod to gentoo-x86
Summary: Migrate games-misc/fortune-mod to gentoo-x86
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: x86 OS X
: Normal enhancement
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-09 09:50 UTC by Michael Weiser
Modified: 2011-11-16 18:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weiser 2011-11-09 09:50:18 UTC
I'm using fortune-mod to shuffle signatures in mutt. On my Mac with prefix a merge of fortune-mod now says, it's been masked because it's unclear if there are any users. I am a user of fortune-mod with prefix and would like it to be supported.

Reproducible: Always

Steps to Reproduce:
emerge -1 fortune-mod
Actual Results:  
!!! The following installed packages are masked:
- games-misc/fortune-mod-1.99.1-r2::gentoo_prefix (masked by: package.mask)
/usr/local/gentoo/usr/portage/profiles/prefix/package.mask:
# Jeremy Olexa <darkside@gentoo.org> (28 Oct 2011)
# Masking selective games-*, www-apps/*, net-proxy/* packages because:
# 1) It is unclear if there are any users
# 2) We would like to NOT migrate packages (to gentoo-x86) if we don't have to.
#
# If this is a package that you would like to see in the tree, please open a bug
# report for inclusion (search first).
# This mask will be lifted in 60 days and the packages will not be supporting
# Gentoo Prefix at that time.


Expected Results:  
merge of fortune-mod
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2011-11-16 14:57:40 UTC
Thanks, I'll get to it.
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2011-11-16 15:10:17 UTC
Here is the diff, ok to commit?

Index: fortune-mod-1.99.1-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-misc/fortune-mod/fortune-mod-1.99.1-r2.ebuild,v
retrieving revision 1.9
diff -u -r1.9 fortune-mod-1.99.1-r2.ebuild
--- fortune-mod-1.99.1-r2.ebuild        8 Oct 2010 08:34:50 -0000       1.9
+++ fortune-mod-1.99.1-r2.ebuild        16 Nov 2011 15:07:20 -0000
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/games-misc/fortune-mod/fortune-mod-1.99.1-r2.ebuild,v 1.9 2010/10/08 08:34:50 leio Exp $

-EAPI=2
+EAPI=3
 inherit eutils toolchain-funcs

 DESCRIPTION="The notorious fortune program"
@@ -11,7 +11,7 @@

 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
 IUSE="offensive elibc_glibc"

 DEPEND="app-text/recode"
@@ -29,20 +29,29 @@
                Makefile || die "sed Makefile failed"

        if ! use elibc_glibc ; then
-               local reglibs="-lcompat"
+               [[ ${CHOST} == *-*bsd* ]] && local reglibs="-lcompat"
+               [[ ${CHOST} == *-darwin* ]] && local reglibs="-lc"
                has_version "app-text/recode[nls]" && reglibs="${reglibs} -lintl"
                sed -i \
                        -e "/^REGEXLIBS=/s:=.*:= ${reglibs}:" \
                        Makefile \
                        || die "sed REGEXLIBS failed"
        fi
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               sed -i -e 's:u_int:uint:g' util/strfile.h || die "sed strfile.h failed"
+       fi
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               sed -i -e 's/-DBSD_REGEX/-DPOSIX_REGEX/' Makefile || die "sed Makefile failed"
+       fi
 }

 src_compile() {
-       emake CC="$(tc-getCC)" || die "emake failed"
+       local myrex=
+       [[ ${CHOST} == *-interix* ]] && myrex="REGEXDEFS=-DNO_REGEX"
+       emake CC="$(tc-getCC)" $myrex || die "emake failed"
 }

 src_install() {
-       emake prefix="${D}" install || die "emake install failed"
+       emake prefix="${ED}" install || die "emake install failed"
        dodoc ChangeLog INDEX Notes Offensive README TODO cookie-files
 }
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2011-11-16 16:03:19 UTC
09:50 <@Mr_Bones_> darkside_: 389943 commit on

Committed to gx86, prefix mask lifted, etc. Thanks
Comment 4 Michael Weiser 2011-11-16 18:11:08 UTC
Works nicely. Thanks!